Update individual fields of a user config

View as Markdown

The kind field is immutable after initial creation.

Required scope: air:simulation_edit (roles: air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this user config.

Request

This endpoint expects an object.
namestringOptional1-64 characters
Display name for a config.
contentstringOptional>=1 character
Plain text contents of the config.

Response

idstringRead-onlyformat: "uuid"
namestring<=64 characters
Display name for a config.
contentstring
Plain text contents of the config.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error